Michael R. Crusoe pushed to branch master at Debian Med / spdlog


Commits:
ee7d2502 by Michael R. Crusoe at 2019-10-04T09:24:30Z
advice from upstream

- - - - -
ec131276 by Michael R. Crusoe at 2019-10-04T09:28:32Z
build the header only tests

- - - - -
ade24af1 by Michael R. Crusoe at 2019-10-04T10:01:50Z
try meson

- - - - -


3 changed files:

- debian/control
- debian/rules
- debian/tests/run-tests


Changes:

=====================================
debian/control
=====================================
@@ -5,6 +5,7 @@ Section: libdevel
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                cmake,
+               meson,
                pkg-config,
                libfmt-dev,
                libsystemd-dev


=====================================
debian/rules
=====================================
@@ -7,15 +7,19 @@ endif
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
-       dh $@
+       dh $@ --buildsystem=meson
 
 override_dh_auto_configure:
-       dh_auto_configure -- -DSPDLOG_BUILD_EXAMPLE=ON \
-               -DSPDLOG_BUILD_EXAMPLE_HO=ON \
-               -DSPDLOG_BUILD_BENCH=OFF \
-               -DSPDLOG_BUILD_TESTS=ON \
-               -DSPDLOG_BUILD_SHARED=ON \
-               -DSPDLOG_FMT_EXTERNAL=ON
+       dh_auto_configure -- -Denable_tests=true -Dexternal_fmt=true 
-Dlibrary_type=shared
+
+# override_dh_auto_configure:
+#      dh_auto_configure -- -DSPDLOG_BUILD_EXAMPLE=ON \
+#              -DSPDLOG_BUILD_EXAMPLE_HO=ON \
+#              -DSPDLOG_BUILD_BENCH=OFF \
+#              -DSPDLOG_BUILD_TESTS=ON \
+#              -DSPDLOG_BUILD_TESTS_HO=ON \
+#              -DSPDLOG_BUILD_SHARED=ON \
+#              -DSPDLOG_FMT_EXTERNAL=ON
 
 override_dh_auto_install:
        rm -f example/logs/.gitignore


=====================================
debian/tests/run-tests
=====================================
@@ -1,7 +1,7 @@
-#!/bin/sh
+#!/bin/bash
 
-#set -x
-#set -e
+set -x
+set -e
  
 pkg=libspdlog-dev
 if [ "$AUTOPKGTEST_TMP" = "" ] ; then
@@ -15,6 +15,6 @@ mkdir cmake
 cp /usr/share/doc/libspdlog-dev/utils.cmake cmake/
 cd tests
 for file in *.gz; do gunzip ${file}; done
-cmake -DSPDLOG_BUILD_TESTS=ON -DSPDLOG_BUILD_TESTS_HO=ON .
-make CFLAGS=-DSPDLOG_FMT_EXTERNAL
+cmake -DSPDLOG_BUILD_TESTS=ON -DSPDLOG_BUILD_TESTS_HO=ON 
-DSPDLOG_FMT_EXTERNAL=ON .
+make CFLAGS=-DSPDLOG_FMT_EXTERNAL spdlog-utests-ho spdlog-utests
 make test



View it on GitLab: 
https://salsa.debian.org/med-team/spdlog/compare/67f46d995e1e1bbb28c8cca9a8977ae899d33c94...ade24af19d1819bd2441b53004c791426fefebc6

-- 
View it on GitLab: 
https://salsa.debian.org/med-team/spdlog/compare/67f46d995e1e1bbb28c8cca9a8977ae899d33c94...ade24af19d1819bd2441b53004c791426fefebc6
You're receiving this email because of your account on salsa.debian.org.


_______________________________________________
debian-med-commit mailing list
[email protected]
https://alioth-lists.debian.net/cgi-bin/mailman/listinfo/debian-med-commit

Reply via email to